--- xfce/exo/Portfile	2011-08-15 21:30:21.000000000 +0200
+++ xfce/exo/Portfile	2011-09-09 21:20:06.000000000 +0200
@@ -1,29 +1,30 @@
-# $Id: Portfile 82553 2011-08-15 19:22:39Z jmr@macports.org $
+# $Id: Portfile 75511 2011-01-27 19:47:07Z afb@macports.org $
 
 PortSystem 1.0
 
-name		exo
-version		0.3.107
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	libexo is targeted at application development for Xfce
+name             exo
+version          0.6.2
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      libexo is targeted at application development for Xfce
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-4.6.2/src/
-use_bzip2	yes
-checksums	md5 3a92cca0c99ee940db4410891c9e8498 \
-		sha1 5121f433b14c5840706cedbc220284a4516e83df \
-		rmd160 d9c97d73c543a411fe09688eb3fdc7ad7b49a5f9
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 f49cf6a85546f47a1dddb58ce9a5f9364384a6f173cba99deb879e027c811f39 \
+                 rmd160 f2c2a713144ffe7e73a6b18925f2323abb334e8c
 
-configure.args	--mandir=${prefix}/share/man --disable-python
+configure.args   --mandir=${prefix}/share/man --disable-python
 
 depends_build	port:pkgconfig port:intltool
 depends_lib	port:p5.12-uri port:libxfce4util port:gtk2
 
-patchfiles	exo-mmintrin.diff
-
 platform darwin {
 	configure.args-append --disable-visibility
 }
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/gtk-xfce-engine/Portfile	2011-08-06 22:00:22.000000000 +0200
+++ xfce/gtk-xfce-engine/Portfile	2011-08-21 00:12:10.000000000 +0200
@@ -1,21 +1,24 @@
-# $Id: Portfile 82010 2011-08-06 19:59:13Z jmr@macports.org $
+# $Id: Portfile 75511 2011-01-27 19:47:07Z afb@macports.org $
 
 PortSystem 1.0
 
-name		gtk-xfce-engine
-version		2.6.0
-revision	1
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	Port of xfce engine to GTK+-2.0
+name             gtk-xfce-engine
+version          2.8.1
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Port of xfce engine to GTK+-2.0
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-4.6.2/src/
-use_bzip2	yes
-checksums	md5 e836705d2933d0a77c6628285e10d982 \
-		sha1 a7be2f330833d150c5fb37f68a4c2138348b5446 \
-		rmd160 07f4ff278056f7714e99da8420268dd950b15a91
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 7cb0a52d74cded5c6a86894babd214de723bcf68771195db6d94acf5161be617 \
+                 rmd160 e7c0ad5c9c0daad1b76d18838b86a969a3e2858b
 
-depends_build	port:pkgconfig
-depends_lib	port:gtk2
+depends_build    port:pkgconfig
+depends_lib      port:gtk2
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/libxfce4util/Portfile	2011-08-06 16:30:20.000000000 +0200
+++ xfce/libxfce4util/Portfile	2011-08-21 00:18:14.000000000 +0200
@@ -1,25 +1,29 @@
-# $Id: Portfile 81913 2011-08-06 14:14:13Z jmr@macports.org $
+# $Id: Portfile 73364 2010-11-11 08:30:46Z afb@macports.org $
 
 PortSystem 1.0
 
-name		libxfce4util
-version		4.6.2
-categories	xfce
-platforms	darwin
-maintainers  	afb
-description	Utility library for the Xfce4 desktop environment
+name             libxfce4util
+version          4.8.1
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Utility library for the Xfce4 desktop environment
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-${version}/src/
-use_bzip2	yes
-checksums	md5 9c3129d827d480f0906c575e7a13f1e9 \
-		sha1 00d890df32d9ae172f45f95c030ca1a74c14e93f \
-		rmd160 145e5ccdf49f60891f9d0d6e969aafc71e33ef11
+homepage	     http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 732aeb4f845fb92efb5487e49662f5b8544ea5feb9f1e4bd7629e726aaa70c81 \
+                 rmd160 8ba9b0d11483d6c72155b419f35427ab94185b31
 
-depends_build	path:bin/pkg-config:pkgconfig port:intltool
-depends_lib	port:gettext path:lib/pkgconfig/glib-2.0.pc:glib2 \
-		port:libiconv
+depends_build    path:bin/pkg-config:pkgconfig port:intltool
+depends_lib      port:gettext path:lib/pkgconfig/glib-2.0.pc:glib2 \
+                 port:libiconv
 
 platform darwin {
-	configure.args	--disable-visibility
+    configure.args --disable-visibility
 }
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/libxfcegui4/Portfile	2011-08-24 10:00:22.000000000 +0200
+++ xfce/libxfcegui4/Portfile	2011-09-09 21:20:06.000000000 +0200
@@ -1,25 +1,26 @@
-# $Id: Portfile 83040 2011-08-24 07:57:06Z jmr@macports.org $
+# $Id: Portfile 78866 2011-05-24 21:29:17Z jeremyhu@macports.org $
 
 PortSystem 1.0
 
-name		libxfcegui4
-version		4.6.4
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	various gtk widgets for xfce
+name             libxfcegui4
+version          4.8.1
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      various gtk widgets for xfce (deprecated)
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-4.6.2/src/
-use_bzip2	yes
-checksums	md5 88de59b222cb9977f93a4c61011c1e1f \
-		sha1 a12c79f8fa14c5d1fc0fca5615a451b7d23f8695 \
-		rmd160 4d790c3990372aa82581450e1b2a2dfd36df293b
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 309a81823cdfdb7301bc6a5199e14f0df29b58dae89a9302c7839b9b94812443 \
+                 rmd160 245f1141fcfb079373fc24aabc25a2df97648924
 
 configure.args	--enable-startup-notification \
                 --x-include=${prefix}/include --x-lib=${prefix}/lib
 
+patchfiles       patch-environ.diff
+
 depends_build	port:intltool \
 		port:pkgconfig
 depends_lib	port:libxfce4util \
@@ -29,3 +30,7 @@
 		port:gtk-xfce-engine \
 		port:libxml2 \
 		port:startup-notification
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/orage/Portfile	2011-08-29 07:30:23.000000000 +0200
+++ xfce/orage/Portfile	2011-08-29 11:19:22.000000000 +0200
@@ -1,23 +1,24 @@
-# $Id: Portfile 83229 2011-08-29 05:29:56Z jmr@macports.org $
+# $Id: Portfile 78866 2011-05-24 21:29:17Z jeremyhu@macports.org $
 
 PortSystem 1.0
 
-name		orage
-version		4.6.1
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	Time-managing application for the Xfce desktop environment
+name             orage
+version          4.8.1
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Time-managing application for the Xfce desktop environment
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-${version}/src/
-use_bzip2	yes
-checksums	md5 24fa43dd86ec5af5a4766620fd972cf2 \
-		sha1 2db15404197ef9aa6f588c0eebac9fc4f68426df \
-		rmd160 7724992e2e177487c71597a15d7faf7f865bb56b
+homepage         http://www.xfce.org/projects/orage
+master_sites     http://archive.xfce.org/src/apps/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 612d9e0e6b0113e04332d13cfbe027e464ff1c8e7ddef5052369ac88e67e09d8 \
+                 rmd160 328aadd08a6f3cc20fff789e1982794e4f4bd1f9
 
 depends_lib	port:exo port:xfce4-panel
 depends_build	port:xfconf port:intltool port:pkgconfig
 
-configure.args	--disable-libxfce4mcs
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/ristretto/Portfile	2011-09-01 08:00:25.000000000 +0200
+++ xfce/ristretto/Portfile	2011-08-21 01:26:18.000000000 +0200
@@ -1,26 +1,25 @@
-# $Id: Portfile 83424 2011-09-01 05:44:57Z jmr@macports.org $
+# $Id: Portfile 68425 2010-06-03 10:30:51Z afb@macports.org $
 
 PortSystem 1.0
 
-name		ristretto
-version		0.0.22
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	Ristretto is a fast and lightweight picture-viewer \
-		for the Xfce desktop environment.
+name             ristretto
+version          0.0.93
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Ristretto is a fast and lightweight picture-viewer \
+                 for the Xfce desktop environment.
 long_description ${description}
-homepage	http://goodies.xfce.org/projects/applications/ristretto
-master_sites	http://goodies.xfce.org/releases/ristretto
-checksums	md5 978ae19472c5a0b7d4b6622a68234a67 \
-		sha1 bddbc8618ba67699ccf5ee4ea0b538b1be7fdb0a \
-		rmd160 a3661a3d7624996d2ebae20f2c86db1968e009a8
+homepage         http://goodies.xfce.org/projects/applications/ristretto
+master_sites     http://archive.xfce.org/src/apps/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 104cbf282ad8067d2f2bee2c37bc779db9cd1079383c0631fddba6600c262cff \
+                 rmd160 4d0feac9745d8b054a8213eccfa6287b4f7a57df
 
-depends_build	port:intltool port:pkgconfig
-depends_lib	port:gtk2 port:Thunar port:libxfce4util \
-		port:libxfcegui4 port:libexif port:dbus-glib
+depends_lib	port:gtk2 port:libxfce4util \
+		port:libexif port:dbus-glib
 
-livecheck.type  regex
-# get the last modified tarball
-livecheck.url   ${master_sites}?C=M\;O=D
-livecheck.regex ${name}-(\[0-9.\]+)${extract.suffix}
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/Terminal/Portfile	2011-01-27 21:00:16.000000000 +0100
+++ xfce/Terminal/Portfile	2011-09-09 21:20:06.000000000 +0200
@@ -2,26 +2,28 @@
 
 PortSystem 1.0
 
-name		Terminal
-version		0.4.5
-revision	1
-categories	xfce
-platforms	darwin
-maintainers	afb
-categories	xfce
-platforms	darwin
-description	Terminal is a modern terminal emulator for the Unix/Linux desktop.
+name             Terminal
+version          0.4.8
+set lname        [string tolower ${name}]
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Terminal is a modern terminal emulator for the Unix/Linux desktop.
 long_description ${description}
-homepage	http://goodies.xfce.org/projects/applications/terminal
-master_sites	http://www.xfce.org/archive/src/apps/terminal/0.4/
-use_bzip2	yes
-checksums	md5 3c707628e2e97c6d9566cd74d400036a \
-		sha1 8c23799922700b1f74dc7b7e029eec192d8ff62c \
-		rmd160 f0cbfdfabc5c3037508e3b52e938c3d62bc8c14b
+homepage         http://goodies.xfce.org/projects/applications/terminal
+master_sites     http://archive.xfce.org/src/apps/${lname}/${branch}/
+use_bzip2        yes
+checksums        sha256 fe5db0b7127ce87efa1e10f44d8915be88005b6ce4f0bfea6b64533e25cc788d \
+                 rmd160 006b959f9a0ef054068a771de6a4965fe0aad242
 
-depends_lib	port:exo port:vte port:dbus port:gtk2 \
-		path:include/glib-2.0/gio/gio.h:glib2 port:hicolor-icon-theme
+depends_lib     port:exo port:vte port:dbus port:gtk2 \
+                path:include/glib-2.0/gio/gio.h:glib2 port:hicolor-icon-theme
 
 configure.args  --enable-dbus
 
 patchfiles	patch-terminal-Makefile.in
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${lname}
+livecheck.regex  "<id>${lname}-(\[^<\]*)</id>"
--- xfce/Thunar/Portfile	2011-09-01 06:30:21.000000000 +0200
+++ xfce/Thunar/Portfile	2011-09-09 18:20:52.000000000 +0200
@@ -1,36 +1,30 @@
-# $Id: Portfile 83421 2011-09-01 04:05:37Z jmr@macports.org $
+# $Id: Portfile 78866 2011-05-24 21:29:17Z jeremyhu@macports.org $
 
 PortSystem 1.0
 
-name		Thunar
-version		1.0.2
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	Thunar is a modern file manager for the Unix/Linux desktop
+name             Thunar
+version          1.3.0
+set lname        [string tolower ${name}]
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Thunar is a modern file manager for the Unix/Linux desktop
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-4.6.2/src/
-use_bzip2	yes
-checksums	md5 c91073202d373a1f9951a1240083c36d \
-		sha1 f7ae00c32402e4bc502aba15477b78e2c558c7c3 \
-		rmd160 c5b98203353cef7312b736053e5a7678d0644272
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${lname}/${branch}/
+use_bzip2        yes
+checksums        sha256 b690514a52616f198362d9cf59875d1a31ae4303e4bc5ce578b116331f6b430a \
+                 rmd160 e7b4c51e061fae90bf69a78374fc922d56f15546
 
 configure.args	--enable-dbus --enable-startup-notification \
 		--enable-pcre --enable-exif
 
 depends_build	port:intltool port:pkgconfig
-depends_lib	port:exo port:pcre port:libexif \
+depends_lib	port:libxfce4ui port:exo port:pcre port:libexif \
 		port:shared-mime-info port:desktop-file-utils \
 		port:startup-notification
 
-patchfiles	patch-thunar-metafile.c
-
-platform darwin {
-	configure.args-append --disable-visibility
-}
-
-platform darwin 10 {
-	patchfiles-append patch-configure-snow.diff
-}
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${lname}
+livecheck.regex  "<id>${lname}-(\[^<\]*)</id>"
--- xfce/xfce-utils/Portfile	2011-05-24 23:30:17.000000000 +0200
+++ xfce/xfce-utils/Portfile	2011-08-21 00:36:12.000000000 +0200
@@ -2,26 +2,29 @@
 
 PortSystem 1.0
 
-name		xfce-utils
-version		4.6.2
-revision	3
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	Utilities for the Xfce Desktop Environment
+name             xfce-utils
+version          4.8.2
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Utilities for the Xfce Desktop Environment
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-${version}/src/
-use_bzip2	yes
-checksums	md5 5d23407700d7e8c9751e17a5bc955109 \
-		sha1 6373886c3d70e576859741bde747a235567ffd8e \
-		rmd160 06c33863da0f80f16ef154307e4b89085bc3958f
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 a12b708b0cd19ffa07afb2ab2cd1bf9377ff7fbbfbe16d7493a5bb973bcb0aa5 \
+                 rmd160 1b0e7e6701fe37df46ce85669d9b96e74ac5856d
 
-depends_build	port:perl5
-depends_lib	port:libxfce4util port:libxfcegui4 port:xfconf
+depends_build   port:perl5
+depends_lib     port:libxfce4util port:libxfce4ui port:xfconf
 
-configure.env	PERL=${prefix}/bin/perl5
-configure.args	--disable-gdm --with-xsession-prefix=${prefix}
+configure.env   PERL=${prefix}/bin/perl5
+configure.args  --with-xsession-prefix=${prefix}
 
 # make sure that midori is added to the browser search list
 configure.args-append --with-browser=midori
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/xfce4-appfinder/Portfile	2011-05-24 23:30:17.000000000 +0200
+++ xfce/xfce4-appfinder/Portfile	2011-08-21 00:36:50.000000000 +0200
@@ -2,20 +2,23 @@
 
 PortSystem 1.0
 
-name		xfce4-appfinder
-version		4.6.2
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	Software to find every application supporting Desktop entry format
+name             xfce4-appfinder
+version          4.8.0
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Software to find every application supporting Desktop entry format
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-${version}/src/
-use_bzip2	yes
-checksums	md5 7752e43578b821e35010bcd3762da166 \
-		sha1 2fa2534aa5a6b2fc24942689a0b7bb7cf327feda \
-		rmd160 81dff99b910e3c2c10567341c7189614825ab657
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 fd74184355e45f8a16cc3cdd32b012b6787a453deb3a8b96af90494c7a8ac77f \
+                 rmd160 541c61495e514896837ba134707ca52ae5ee4c79
 
-depends_build	path:bin/pkg-config:pkgconfig
-depends_lib	port:libxfcegui4 port:libxfce4menu
+depends_build    path:bin/pkg-config:pkgconfig
+depends_lib      port:libxfce4ui port:garcon
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/xfce4-panel/Portfile	2011-08-28 08:30:21.000000000 +0200
+++ xfce/xfce4-panel/Portfile	2011-09-09 18:21:27.000000000 +0200
@@ -1,30 +1,32 @@
-# $Id: Portfile 83206 2011-08-28 06:15:01Z jmr@macports.org $
+# $Id: Portfile 78866 2011-05-24 21:29:17Z jeremyhu@macports.org $
 
 PortSystem 1.0
 
-name		xfce4-panel
-version		4.6.4
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	The panel of the Xfce Desktop Environment
+name             xfce4-panel
+version          4.8.5
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      The panel of the Xfce Desktop Environment
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-4.6.2/src/
-use_bzip2	yes
-checksums	md5 82f10a42aefca4cc26a6633e7478cc65 \
-		sha1 d2b310c036be84ed9886c06ae35b7a1a8eabfcb8 \
-		rmd160 35eaab8726a447b961024d433845f30804da4751
-
-depends_build	port:intltool port:pkgconfig
-depends_lib	port:libxfcegui4 port:exo path:lib/pkgconfig/cairo.pc:cairo port:libwnck \
-		port:hicolor-icon-theme port:tango-icon-theme
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 df8379a18d337481b847cf232eec907a927287917788e7b730deef4a535deada \
+                 rmd160 b90822a27c953cd72ec080d28288f24807ae4f13
+
+depends_build    port:intltool port:pkgconfig
+depends_lib      port:libxfce4ui port:exo port:garcon port:libwnck \
+                 path:lib/pkgconfig/cairo.pc:cairo \
+                 port:hicolor-icon-theme port:tango-icon-theme
 
-configure.args	--enable-startup-notification
-
-patchfiles	config-launcher-icons.diff
+configure.args	--mandir=${prefix}/share/man
 
 platform darwin {
 	configure.args-append --disable-visibility
 }
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/xfce4-session/Portfile	2011-08-15 21:30:21.000000000 +0200
+++ xfce/xfce4-session/Portfile	2011-09-09 21:20:06.000000000 +0200
@@ -1,22 +1,25 @@
-# $Id: Portfile 82553 2011-08-15 19:22:39Z jmr@macports.org $
+# $Id: Portfile 78866 2011-05-24 21:29:17Z jeremyhu@macports.org $
 
 PortSystem 1.0
 
-name		xfce4-session
-version		4.6.2
-revision	3
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	Session manager for the Xfce desktop environment.
+name             xfce4-session
+version          4.8.1
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      Session manager for the Xfce desktop environment.
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-${version}/src/
-use_bzip2	yes
-checksums	md5 9d9890130e45e0e9476591ed9ba2c9d5 \
-		sha1 2a5778a1543f97845f118a186e2dbb8a8ea3ff4b \
-		rmd160 3c45028d57aee5950a485d760799d0c74ada735e
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 1df52a77d87ed4d27b4f40a2f03a0b6334422d64bdc4e31b9aac22e25e68b829 \
+                 rmd160 77085eecc7c0e7ad44bd790a2e0ae0f1a6dfc976
 
 configure.args	--enable-session-screenshots --disable-gnome
-depends_lib	port:libxfce4util port:libxfcegui4 port:p5.12-xml-parser \
-		port:libwnck bin:iceauth:iceauth
+depends_lib     port:libxfce4ui port:p5.12-xml-parser port:libwnck port:dbus-glib \
+                port:libxfce4util bin:iceauth:iceauth
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/xfce4-settings/Portfile	2011-05-24 23:30:17.000000000 +0200
+++ xfce/xfce4-settings/Portfile	2011-08-21 00:38:49.000000000 +0200
@@ -2,29 +2,23 @@
 
 PortSystem 1.0
 
-name		xfce4-settings
-version		4.6.5
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	Settings Manager that replaces the previous xfce-mcs-manager
+name             xfce4-settings
+version          4.9.0
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories	     xfce
+platforms        darwin
+maintainers      afb
+description      Settings Manager that replaces the previous xfce-mcs-manager
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-4.6.2/src/
-use_bzip2	yes
-checksums	md5 f988cb732913b5fbc115ad7105d2231e \
-		sha1 c036cc2f3100a46b2649e678dff7c0106b219263 \
-		rmd160 a8155346285921f3087795598989df287be8abb4
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 ee5c85ad195e2fefb98c56a8b4f775544ff913b060cb072d2a730be6abd71743 \
+                 rmd160 ae32d0ccca8c8ee989de625d57c7b9525e851ff4
 
-depends_build	path:bin/pkg-config:pkgconfig
-depends_lib	port:libxfcegui4 port:libwnck
+depends_build   path:bin/pkg-config:pkgconfig
+depends_lib     port:libxfce4ui port:exo port:xfconf port:dbus-glib port:libwnck
 
-platform darwin 8 {
-    patchfiles-append		patch-configure.diff
-    configure.env-append	PKG_CONFIG_PATH="${prefix}/lib/pkgconfig" \
-	XI_VERSION="1.0.0" XI_CFLAGS="-I${prefix}/include" XI_LIBS="-L${prefix}/lib -lXi" \
-  	LIBX11_VERSION="6.2.0" LIBX11_CFLAGS="-I${prefix}/include" LIBX11_LIBS="-L${prefix}/lib -lX11" \
-	XRANDR_VERSION="2.0.0" XRANDR_CFLAGS="-I${prefix}/include" XRANDR_LIBS="-L${prefix}/lib -lXrandr" \
-	XCURSOR_VERSION="1.0.0" XCURSOR_CFLAGS="-I${prefix}/include" XCURSOR_LIBS="-L${prefix}/lib -lXcursor"
-}
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/xfconf/Portfile	2011-08-24 09:00:21.000000000 +0200
+++ xfce/xfconf/Portfile	2011-08-24 14:10:00.000000000 +0200
@@ -1,20 +1,20 @@
-# $Id: Portfile 83037 2011-08-24 06:34:31Z jmr@macports.org $
+# $Id: Portfile 73364 2010-11-11 08:30:46Z afb@macports.org $
 
 PortSystem 1.0
 
-name		xfconf
-version		4.6.2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	easy-to-use configuration system for xfce
+name             xfconf
+version          4.8.0
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      easy-to-use configuration system for xfce
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-${version}/src/
-use_bzip2	yes
-checksums	md5 5ff93c15077c6dbbcd38c437bc1ab2ef \
-		sha1 2b9656a1b7f323d2600ddc929191afb50c8018f8 \
-		rmd160 beaa96507c97fd1cbf0884ce1332c7c0da5684ac
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 e071d55982238f997a691ff4bb08ef39e4c86bae31cf69b6666bc0cdadd1b85d \
+                 rmd160 3a49003ce1d9e133ae58e3a5d24059e0b9ff1f65
 
 depends_build	port:intltool \
 		port:pkgconfig
@@ -28,3 +28,7 @@
 platform darwin {
 	configure.args-append --disable-visibility
 }
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/xfdesktop/Portfile	2011-05-24 23:30:17.000000000 +0200
+++ xfce/xfdesktop/Portfile	2011-08-21 00:39:37.000000000 +0200
@@ -2,22 +2,26 @@
 
 PortSystem 1.0
 
-name		xfdesktop
-version		4.6.2
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	A desktop manager for the Xfce Desktop Environment
+name             xfdesktop
+version          4.8.2
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      A desktop manager for the Xfce Desktop Environment
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-${version}/src/
-use_bzip2	yes
-checksums	md5 e800ea9fee7a5c5eaf2ae96e23a83e3a \
-		sha1 cefcd1c1386d34386d4e900cbf88b7c24ef3bafb \
-		rmd160 744c6442c612f41f5567713c3e9265ee95dd2898
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 9d0a48c4e9ed6723a3f9a1c5303e2bbe9b04a3b483c52472da46881df4595e71 \
+                 rmd160 a24a7db72f8cbb2cd98fa248b1695922a188f2e2
 
-depends_lib	port:libxml2 \
-		port:Thunar port:libxfcegui4
+depends_lib     port:libxfce4ui port:xfconf port:libwnck \
+                port:libxml2 \
+                port:Thunar port:libxfce4ui
 
 depends_build   port:xfce4-panel port:libglade2
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
--- xfce/xfwm4/Portfile	2011-05-24 23:30:17.000000000 +0200
+++ xfce/xfwm4/Portfile	2011-08-21 00:40:07.000000000 +0200
@@ -2,21 +2,25 @@
 
 PortSystem 1.0
 
-name		xfwm4
-version		4.6.2
-revision	2
-categories	xfce
-platforms	darwin
-maintainers	afb
-description	The window manager for Xfce
+name             xfwm4
+version          4.8.1
+set branch       [join [lrange [split ${version} .] 0 1] .]
+categories       xfce
+platforms        darwin
+maintainers      afb
+description      The window manager for Xfce
 long_description ${description}
-homepage	http://www.xfce.org/
-master_sites	http://www.ca-us.xfce.org/archive/xfce-${version}/src/
-use_bzip2	yes
-checksums	md5 3e6c0c54b028b6ea60e865e55ecdf3f8 \
-		sha1 34514db4531e95a7dbcd7d73c8d97e5cb9d1bf89 \
-		rmd160 445e499ca84846222120d607b80b5eac79b422d7
+homepage         http://www.xfce.org/
+master_sites     http://archive.xfce.org/src/xfce/${name}/${branch}/
+use_bzip2        yes
+checksums        sha256 6a3cbf6c92a0cc3bcaf7cf2565c35beae6354768ec26b4d616a3c2544a8f8499 \
+                 rmd160 615a921185e02d4032293d3b89cdd53d68cdd7ab
 
-configure.args	--enable-randr --enable-startup-notification \
-		--disable-compositor --disable-xsync
-depends_lib	port:xfconf port:gtk2 port:dbus-glib port:libwnck
+configure.args  --enable-randr --enable-startup-notification \
+                --disable-compositor --disable-xsync
+depends_lib     port:libxfce4util port:libxfce4ui port:xfconf \
+                port:dbus-glib port:libwnck
+
+livecheck.type   regex
+livecheck.url    http://archive.xfce.org/feeds/project/${name}
+livecheck.regex  "<id>${name}-(\[^<\]*)</id>"
